<!DOCTYPE html>
<html>
    <head>
        <title>Highschool Online | Tutor Panel</title>
        <meta charset="utf-8">
        <link rel="shortcut icon" type="image/png" href="../assets/img/logo.png"/>
        <link href="https://fonts.googleapis.com/css?family=Roboto" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css?family=Domine" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css?family=Raleway" rel="stylesheet">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="../assets/css/uikit.min.css" />
        <script src="../assets/js/uikit.min.js"></script>
        <script src="../assets/js/uikit-icons.min.js"></script>
        <script type="text/javascript">
            MathJax = {
              options: {
                skipHtmlTags: [
                    'form'
                ],
                ignoreHtmlClass: 'ck[*]',
                includeHtmlTags: {
                    br: '\n', wbr: '', '#comment': ''
                },
              }
            };
        </script>
        <script src="https://polyfill.io/v3/polyfill.min.js?features=es6"></script>
        <script id="MathJax-script" async src="https://cdn.jsdelivr.net/npm/mathjax@3.0.0/es5/tex-mml-chtml.js"></script>
        <script src="https://cdn.ckeditor.com/ckeditor5/19.0.0/classic/ckeditor.js"></script>
        <link href="https://fonts.googleapis.com/css2?family=Averia+Serif+Libre&family=Neucha&family=Roboto:wght@100;300;400;500&display=swap" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css2?family=Patrick+Hand&display=swap" rel="stylesheet">
        <style>
            h1, h1>span, h2 {
              font-weight: 500;
              font-size: 59;
              font-family: 'Roboto', sans-serif;
            }
            h3, h3 > span, h4 {
              font-weight: 500;
              font-size: 30;
              font: italic;
              font-family: 'Roboto', sans-serif;
            }
            p, div {
              font-size: 18px;
            }
            p {
              font-family: 'Neucha', cursive;
            }
            ul li, button > *, a {
              font-weight: 300;
              font-family: 'Averia Serif Libre', sans-serif;
            }
            .uk-navbar-item, .uk-navbar-nav>li>a, .uk-navbar-toggle {
                min-height: 60px!important;
            }
            nav {
                border-radius: 0px!important;
            }
        </style>
    </head>
    <body class="uk-visible@m">
        <div class="uk-margin-remove uk-grid-collapse" uk-grid>
            <div class="uk-width-1-6 uk-height-viewport uk-background-secondary uk-box-shadow-xlarge" style="max-height: 100vh; overflow: auto; background: #162c42; color: #fff !important;">
                <nav class="uk-box-shadow-medium uk-navbar-container uk-navbar-sticky uk-navbar-transparent uk-light" style="background: #0f161c;" uk-navbar uk-sticky="sel-target: .uk-navbar-container; cls-active: uk-navbar-sticky">
                  <div class="uk-navbar-left">
                      <ul class="uk-navbar-nav">
                          <li class="uk-active uk-padding-remove uk-margin-remove"><a href="#"><img src="../assets/img/logo.png" style="height: 40px;" class="uk-border-circle">&nbsp; Tutor's Panel</a></li>
                      </ul>
                  </div>
                </nav>
                <div class="">
                    <ul class="uk-list uk-list-large uk-light uk-padding">
                    </ul>
                </div>
            </div>
            <div class="uk-position-relative uk-width-5-6 uk-height-viewport" style="max-height: 100vh; overflow: auto; background: #f0f2ff;">
                <nav class="uk-box-shadow-medium uk-navbar-container uk-navbar-sticky uk-navbar-transparent" style="background: #fff;" uk-navbar uk-sticky="sel-target: .uk-navbar-container; cls-active: uk-navbar-sticky">
                  <div class="uk-navbar-right">
                      <ul class="uk-navbar-nav">
                          <li class="uk-active uk-padding-remove uk-margin-remove"><a href="/tutor/home"><span uk-icon="icon: home"></span></a></li>
                          <li><a href="/logout" class="uk-button uk-button-link"><i uk-icon="sign-out"></i> </a></li>
                      </ul>
                  </div>
                </nav>
                <div class="uk-container uk-container-expand uk-margin-medium-top">
                    <h2 class="uk-text-capitalize subject-name">Subject Name</h2>
                    <div class="uk-container">
                        <div class="uk-card uk-card-default">
                            <div class="uk-card-header">
                                <div class="uk-align-left uk-margin-auto-vertical">
                                    <h4 class="uk-margin-remove uk-padding-remove uk-margin-auto-vertical">Topics</h4>
                                </div>
                                <div class="uk-align-right">
                                    <a href="#add-topic-modal" class="uk-button uk-button-primary" uk-toggle>Add New Topic</a>
                                    <!-- <a href="#add-lecture-resource-modal" class="uk-button uk-button-primary" uk-toggle>Add Lecture Resourcs</a> -->
                                </div>
                            </div>
                            <div class="uk-card-body">
                                <ul class="topic-accordion" uk-accordion>
                                    
                                </ul>

                            </div>
                        </div>
                        <div class="uk-margin"></div>
                    </div>
                </div>
                <!-- <div class="uk-section">
                    <div class="uk-text-center">Highschool Online &copy; 2019</div>
                </div> -->
            </div>
        </div>
    </body>

    <div id="add-topic-modal" uk-modal>
        <div class="uk-modal-dialog">
            <button class="uk-modal-close-default" type="button" uk-close></button>
            <div class="uk-modal-header">
                <h2 class="uk-modal-title">Add Topic</h2>
            </div>
            <form id="add-topic">
                <div class="uk-modal-body">
                    <div class="uk-margin">
                        <input type="text" class="uk-input uk-width-1-1" placeholder="Topic..." name="topic">
                    </div>
                </div>
                <div class="uk-modal-footer uk-text-right">
                    <button class="uk-button uk-button-default uk-modal-close" type="button">Cancel</button>
                    <button type="submit" class="uk-button uk-button-secondary">Add</button>
                </div>
            </form>
        </div>
    </div>

    <div id="add-subtopic-modal" uk-modal>
        <div class="uk-modal-dialog">
            <button class="uk-modal-close-default" type="button" uk-close></button>
            <div class="uk-modal-header">
                <h2 class="uk-modal-title">Add Sub-topic</h2>
            </div>
            <form id="add-sub-topic">
                <div class="uk-modal-body">
                    <div class="uk-margin uk-grid-collapse" uk-grid>
                        <div class="uk-width-expand">
                            <input type="text" class="uk-input uk-width-1-1" placeholder="Sub-topic..." name="sub-title">
                        </div>
                        <div class="uk-width-auto">
                            <div class="js-upload uk-margin-small-left" uk-form-custom>
                                <input type="file" name="resource">
                                <button class="uk-button uk-button-default" type="button" tabindex="-1">Select Video</button>
                            </div>
                        </div>
                    </div>
                    <div class="uk-margin">
                        <textarea class="uk-textarea uk-width-1-1" rows="2" placeholder="Announcement..." name="announcement"></textarea>
                    </div>
                    <div class="uk-margin">
                        <textarea class="uk-textarea uk-width-1-1" rows="8" placeholder="Notes..." name="note"></textarea>
                    </div>
                </div>
                <div class="uk-margin uk-padding uk-padding-remove-vertical">
                    <progress value="0" max="100" id="subtopic-progress" class="uk-progress uk-background-primary">
                </div>
                <div class="uk-modal-footer uk-text-right">
                    <button class="uk-button uk-button-default uk-modal-close" type="button">Cancel</button>
                    <button type="submit" class="uk-button uk-button-secondary">Add</button>
                </div>
            </form>
        </div>
    </div>

    <div class="uk-alert uk-alert-success uk-container uk-position-top-center uk-hidden" style="z-index: 1000000" uk-alert>
        <a class="uk-alert-close" uk-close></a>
        <p class="success-text">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt.</p>
    </div>

    <div class="uk-alert uk-alert-danger uk-container uk-position-top-center uk-hidden" style="z-index: 1000000" uk-alert>
        <a class="uk-alert-close" uk-close></a>
        <p class="error-text">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt.</p>
    </div>

    <div id="modal-exams" class="uk-modal-full" uk-modal>
        <div class="uk-modal-dialog">
            <button class="uk-modal-close-full test-modal-close uk-close-large" type="button" uk-close></button>
            <div class="uk-flex-middle uk-background-muted">
                <div class="uk-height-viewport uk-padding-large uk-background-muted">
                    <div uk-grid class="uk-child-width-1-2">
                        <div class="uk-card uk-padding-remove uk-container uk-card-default">
                            <div class="uk-padding-small uk-card-header">
                                <h3 class="uk-card-title uk-h3">Questions</h3>
                            </div>
                            <div class="uk-padding uk-card-body">
                                <div class="add-question uk-grid-collapse" uk-grid>
                                    <div class="uk-width-expand">
                                        <form>
                                            <div class="uk-margin">
                                                <input type="text" name="question" class="uk-input uk-form-large uk-width-1-1" placeholder="Enter Question" style="border:0px; border-bottom: 1px solid #e2e2e2!important">
                                            </div>
                                            <div class="uk-margin uk-padding-small uk-padding-remove-vertical uk-grid-small uk-child-width-auto options uk-grid">   
                                            </div>
                                            <button type="button" class="uk-button uk-background-muted uk-float-right add-option-button">Add Possible answer</button>
                                        </form>
                                    </div>
                                    <!-- <div>
                                        <div class="uk-margin">
                                            <select class="uk-select" style="border:0px">
                                                <option>Answer Type...</option>
                                                <option>Multiple Choice</option>
                                                <option>Short Answer</option>
                                                <option>Long Answer</option>
                                            </select>
                                        </div>
                                    </div> -->
                                </div>
                            </div>
                            <div class="uk-float-right">
                                <div class="uk-padding uk-padding-remove-horizontal">
                                    <button class="uk-button uk-button-primary clear-question">Clear</span> Question </button>
                                    <button class="uk-button uk-button-primary add-question-button"><span uk-icon="plus"></span> Question </button>
                                </div>
                            </div>
                        </div>
                        <div class="uk-container-expand">
                            <div class="uk-text-right">
                                <button class="uk-button uk-button-primary upload-questions uk-margin-small-bottom">Upload Questions</button>
                            </div>
                            <div class="questions-list">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div id="update-notes-modal" class="uk-modal-full" uk-modal>
        <div class="uk-modal-dialog uk-modal-body uk-padding-remove-vertical uk-container-large uk-height-viewport uk-margin-remove">
            <button class="uk-button uk-modal-close uk-float-right uk-button-danger" type="button"><b>X</b></button>
            <h2 class="uk-modal-title">Update Notes</h2>
            <form id="update-notes" class="update-form">
                <textarea name="notes" class="uk-textarea" rows="18"></textarea>
                <p class="uk-text-right">
                    <button class="uk-button uk-button-default uk-modal-close" type="button">Cancel</button>
                    <button class="uk-button uk-button-primary" type="submit">Update</button>
                </p>
            </form>
        </div>
    </div>

    <div id="update-announcement-modal" class="uk-modal-full" uk-modal>
        <div class="uk-modal-dialog uk-modal-body uk-padding-remove-vertical uk-container-large uk-height-viewport uk-margin-remove">
            <button class="uk-button uk-modal-close uk-float-right uk-button-danger" type="button"><b>X</b></button>
            <h2 class="uk-modal-title">Update Announcement</h2>
            <form id="update-announcement" class="update-form">
                <textarea name="announcement" class="uk-textarea" rows="18"></textarea>
                <p class="uk-text-right">
                    <button class="uk-button uk-button-default uk-modal-close" type="button">Cancel</button>
                    <button class="uk-button uk-button-primary" type="submit">Update</button>
                </p>
            </form>
        </div>
    </div>

    <div id="update-video-modal" uk-modal>
        <div class="uk-modal-dialog uk-modal-body">
            <h2 class="uk-modal-title">Update Video</h2>
            <div uk-lightbox>
                <a class="uk-link old-video uk-text-uppercase" href="" data-caption="Video">View Current Video</a>
            </div>
            <br>
            <form id="update-video" class="update-form">
                <div uk-form-custom>
                    <input type="file" accept="video/*" required>
                    <button class="uk-button uk-button-default" type="button" tabindex="-1">Select Video File</button>
                </div>
                <p class="uk-text-right">
                    <button class="uk-button uk-button-default uk-modal-close" type="button">Cancel</button>
                    <button class="uk-button uk-button-primary" type="submit">Update</button>
                </p>
            </form>
        </div>
    </div>

    <script src="https://code.jquery.com/jquery-3.3.1.js" integrity="sha256-2Kok7MbOyxpgUVvAk/HJ2jigOSYS2auK4Pfzbm7uH60=" crossorigin="anonymous"></script>
    <script src="https://www.gstatic.com/firebasejs/5.8.2/firebase-app.js"></script>
    <script src="https://www.gstatic.com/firebasejs/5.8.2/firebase-auth.js"></script>
    <script src="https://www.gstatic.com/firebasejs/5.8.2/firebase-database.js"></script>
    <script src="https://www.gstatic.com/firebasejs/5.8.2/firebase-firestore.js"></script>
    <script src="https://www.gstatic.com/firebasejs/5.8.2/firebase-storage.js"></script>
    <script src="../assets/js/config.js"></script>
    <script>
        $.each($('textarea'), function(i, v) {
            let _t = $(this)
            ClassicEditor
            .create( document.getElementsByTagName( 'textarea' )[i] )
            .then( f => {
                _t.data('editor', f)
            })
            .catch( error => {
                console.error( error );
            } );
        })
    </script>
    <script>
        // UIkit.modal($('#modal-exams')).show()
        let cores = ['integrated-science', 'core-mathematics', 'social-studies', 'english-language']
        let subject = window.location.href.substr(window.location.href.lastIndexOf('/') + 1, window.location.href.length)

        let col = 'subjects'
        if (cores.includes(subject)) {
            col = 'cores'
        }

        $('.subject-name').text(subject.replace(/-/g, ' '))
        $('form[id="add-topic"]').on('submit', function(e) {
            e.preventDefault()
            let topic = (new Date).getTime() + ' t0p1c ' +$('form[id="add-topic"]').find('input').val()
            topic = topic.replace(/\s/g, '-').toLowerCase()
            var obj = {}

            firebase.firestore().collection(col).doc(subject).collection('topics').doc(topic).set(obj, { merge: true })
            .then(function() {
                UIkit.modal($('#add-topic-modal')).hide()
                alert('successfully updated topic')
                window.location.reload()
            })

        })

        firebase.firestore().collection(col).doc(subject).collection('topics').get()
        .then(function (topics) {
            // console.log(topics)
            let tCount = 0
            topics.forEach(function(v) {
                let _topic = v.id
                if (v.exists) {
                    // console.log(v.id, v.data())
                    $('.topic-accordion').append(`<li class="" id="${v.id}">
                                    <a class="uk-accordion-title uk-text-capitalize" href="#">${++tCount} - ${v.id.substr(v.id.indexOf('t0p1c-') + 't0p1c-'.length, v.id.length).replace(/-/g, ' ')}</a>
                                    <div class="uk-accordion-content uk-background-muted uk-dark uk-padding-small">
                                        <div class="uk-padding-large uk-padding-remove-vertical">
                                            <div class="uk-text-right uk-padding-small uk-dark">
                                                <a href="#add-subtopic-modal" uk-toggle class="uk-button uk-button-secondary">Add Subtopic</a>
                                            </div>
                                            <ul uk-accordion class=" subtopic-accordion">
                                            </ul>
                                        </div>
                                    </div>
                                </li>`)
                    firebase.firestore().collection(col).doc(subject).collection('topics').doc(v.id).collection('subtopics').get().then(function(subtopic) {
                        subtopic.forEach(function(sub) {
                            let _subtopic = sub.id
                            if ($('.topic-accordion').find('[id="'+v.id+'"]').find('.subtopic-accordion').find('[id="${sub.id}"]').length == 0) {
                                $('.topic-accordion').find('[id="'+v.id+'"]').find('.subtopic-accordion').append(`<li class="" id="${sub.id}">
                                                <a class="uk-accordion-title uk-text-uppercase" href="#">${sub.id.replace(/-/g, ' ').substr(sub.id.indexOf('ha231') + 6, sub.id.length)}</a>
                                                <div data-t="" class="uk-accordion-content uk-padding-small" style="background: white;">
                                                    <div class="uk-text-right"><button class="uk-button update-button notes uk-button-text uk-border-rounded" uk-toggle="target: #update-notes-modal">Update Notes</button> | <button class="uk-button update-button announcement uk-button-text uk-border-rounded" uk-toggle="target: #update-announcement-modal">Update Announcement</button> | <button class="uk-button update-button uk-button-text uk-border-rounded video update-video" uk-toggle="target: #update-video-modal">Update Video</button></div>
                                                    <p> <b>Notes:</b> <div class="note-content" data-notes="${decodeURI(sub.data().note)}"> ${decodeURI(sub.data().note)} </div></p>
                                                    <p> <b>Announcement:</b> <div class="announcement-content" data=announcement="${decodeURI(sub.data().announcement)}"> ${decodeURI(sub.data().announcement)}</div></p>
                                                    <div uk-lightbox>
                                                        <a class="video-content" href="${sub.data().videolink}" data-caption="${sub.id.replace(/-/g, ' ')}">Click to play</a>
                                                    </div>
                                                    <div><button data-subject="${subject}" data-topic="${_topic}" data-subtopic="${_subtopic}" class="uk-align-right add-test-button uk-button uk-button-primary" uk-toggle="target: #modal-exams" type="button">Add Test Question(s)</button></div>
                                                </div>
                                            </li>`)
                            }
                        })
                    })
                }
            })
            MathJax.typeset()
        })
        .then(function() {
            setInterval(function() {
                MathJax.typeset()
            }, 5000)
        })

        let update_topic = '', update_sub = '';
        $('body').on('click', '.update-button', function(e) {
            e.preventDefault()
            update_topic = $(this).parents('li').parents('li').attr('id')
            update_sub = $(this).parents('li').attr('id')
            $('.old-video').attr('href', $(this).closest('li').find('.video-content').attr('href'))
            $('#update-notes-modal').find('textarea').data('editor').data.set($(this).closest('.uk-accordion-content').find('.note-content').data('notes'));
            $('#update-announcement-modal').find('textarea').data('editor').data.set($(this).closest('.uk-accordion-content').find('.announcement-content').data('announcement'));
        })

        $('.update-form').on('submit', function(e) {
            e.preventDefault()
            // console.log($(this).serialize());
            // console.log(e);
            let _obj = {}
            let ran = 0
            let __txt = ''
            switch ($(this).attr('id')) {
                case 'update-video': 
                    //code here, do upload here
                    ran = 1
                    break;
                case 'update-announcement':
                    __txt = encodeURI($(this).find('textarea').val())
                    // let subtxt = substr()
                    _obj = { announcement: __txt }
                    ran = 1
                    break;
                case 'update-notes':
                    __txt = $(this).find('textarea').val()
                    let subtxt = __txt.substring(__txt.indexOf("\\(") + 2, __txt.indexOf("\\)"))
                    subtxt = subtxt.replace(/<p>/g, ' ')
                    subtxt = subtxt.replace(/<\/p>/g, ' ')
                    __txt = __txt.replace(__txt.substring(__txt.indexOf("\\(") + 2, __txt.indexOf("\\)")), subtxt)
                    
                    subtxt = __txt.substring(__txt.indexOf("\\[") + 2, __txt.indexOf("\\]"))
                    subtxt = subtxt.replace(/<p>/g, ' ')
                    subtxt = subtxt.replace(/<\/p>/g, ' ')
                    __txt = __txt.replace(__txt.substring(__txt.indexOf("\\[") + 2, __txt.indexOf("\\]")), subtxt)
                    
                    subtxt = __txt.substring(__txt.indexOf("$$") + 2, __txt.lastIndexOf("$$"))
                    subtxt = subtxt.replace(/<p>/g, ' ')
                    subtxt = subtxt.replace(/<\/p>/g, ' ')
                    __txt = __txt.replace(__txt.substring(__txt.indexOf("$$") + 2, __txt.lastIndexOf("$$")), subtxt)
                    _obj = { note: encodeURI(__txt) }
                    
                    subtxt = __txt.substring(__txt.indexOf("$") + 2, __txt.lastIndexOf("$"))
                    subtxt = subtxt.replace(/<p>/g, ' ')
                    subtxt = subtxt.replace(/<\/p>/g, ' ')
                    __txt = __txt.replace(__txt.substring(__txt.indexOf("$") + 2, __txt.lastIndexOf("$")), subtxt)
                    _obj = { note: encodeURI(__txt) }
                    ran = 1
            }
            // console.log(_obj)
            // // console.log(col, subject)
            // // console.log(update_topic, update_sub)
            firebase.firestore().collection(col).doc(subject).collection('topics').doc(update_topic).collection('subtopics').doc(update_sub).set(_obj, {merge: true})
        })

        firebase.firestore().collection(col).doc(subject).get()
        .then(function (subject) {
            if (subject.exists) {
                let count = 1
                let length = Object.keys(subject.data()).length
                if(subject.data().description) {
                    // if (topic == 'description') {
                        $('.topic-accordion').prepend(`<li class="">
                                    <a class="uk-accordion-title uk-text-capitalize" href="#">0 - ${subject.data().description.name}</a>
                                    <div class="uk-accordion-content">
                                        <div uk-grid class="">
                                            <div class="uk-width-1-4">
                                                <video>
                                                    <source src="${subject.data().description.video}" type="">
                                                </video>
                                            </div>
                                            <div class="uk-width-expand" uk-grid>
                                                <div class="uk-width-4-5">
                                                    <p class="uk">${subject.data().description.desc}</p>
                                                </div>
                                                <div class="uk-width-1-5">
                                                    <img src="${subject.data().description.image}">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </li>`)
                    // } 
                }
            }
        })

        let _file = null
        $('input[type="file"]').on('change', function(e) {
            _file = e.target.files[0]
            // console.log(_file)
        })

        $('form[id="add-sub-topic"]').on('submit', function(e) {
            e.preventDefault()
            let bar = document.getElementById('subtopic-progress')
            let _this = $('form[id="add-sub-topic"]')
            let ann = encodeURI(_this.find('textarea[name="announcement"]').val())
            let note = encodeURI(_this.find('textarea[name="note"]').val())
            $('form[id="add-sub-topic"]').find('button').attr('disabled', true)
            if (_file != null) {
                let storageRef = firebase.storage().ref(subject + '/units/' + _file.name)
                let upstats = storageRef.put(_file)
                upstats.on('state_changed', 
                    function progress(snapshot) {
                        var p = snapshot.bytesTransferred / snapshot.totalBytes * 45
                        bar.value = p
                    },
                    function error(e) {},
                    function complete() {
                        upstats.snapshot.ref.getDownloadURL().then(function(downloadURL) {
                            downloadURL
                            let data = {
                                announcement: ann,
                                note: note,
                                videolink: downloadURL
                            }
                            firebase.firestore().collection(col).doc(subject).collection('topics').doc(subtopic_key).collection('subtopics').doc((new Date).getTime() + '-sha231-' + $('form[id="add-sub-topic"]').find('input[name="sub-title"]').val().replace(/\s/g, '-').toLowerCase()).set(data, { merge: true })
                            .then(function() {
                                // alert()
                                bar.value = 100
                                videolink = video_file = _file = null
                                setTimeout(function() {
                                    UIkit.modal($('#add-subtopic-modal')).hide()
                                    bar.value = 0
                                    $('form[id="add-sub-topic"]').find('button, input, textarea').attr('disabled', false)
                                    $('form[id="add-sub-topic"]').find('input, textarea').val('')
                                    $('.uk-alert-success').find('p').text("Subtopic successfully added! Please wait wile data is refreshed")
                                    $('.uk-alert-success').removeClass('uk-hidden')
                                    setTimeout(function() {
                                        $('.uk-alert-success').remove()
                                        location.reload()
                                    }, 3000)
                                }, 1000)
                            })
                        })
                    }
                )
            } 
        })

        let questions = []
        let option = 0
        let questionSubject = '', questionTopic = '', questionSubtopic = '', subtopic_key = ''

        $('body').on('click', '.add-test-button', function() {
            // console.log()
            questionSubject = $(this).data('subject')
            questionTopic = $(this).data('topic')
            questionSubtopic = $(this).data('subtopic')
        })

        $('.add-question-button').on('click', function(e) {
            // e.preventDefault()
            let question = {}
            question.question = $('input[name="question"]').val()
            question.answer = []
            for (var i = 0; i < option; i++) {
                let _option = {}
                _option.text = $('input[name="answer-'+i+'"]').val()
                _option.correct = $('input[name="correct-'+i+'"]:checked').val()
                _option.reason = $('input[name="reason-'+i+'"]').val()
                question.answer.push(_option)
            }
            if (!questions.includes(question)) {
                questions.push(question)
                // console.log(!questions.includes(question))
            }
            $('options').html('')
            $('.answer').remove()
            $('input[name="question"]').val('')
            option = 0
            let _ans = ''
            questions[questions.length - 1].answer.forEach(function(ans) {
                _ans += `<label><input class="uk-radio" type="radio" name="radio${questions.length}"> ${ans.text}</label>`
            })
            $('.questions-list').append(`
                                <div class="uk-margin new-question-list-item question-list-item uk-card uk-card-default uk-padding-small uk-text-right">
                                    <div><button class="uk-button uk-button-text remove-question uk-text-danger" data-index="${questions.length - 1}"><i uk-icon="trash"></i></button></div>
                                    <p>${questions.length}. ${questions[questions.length - 1].question}</p>
                                    <div class="answers-options uk-margin-small uk-grid-small uk-child-width-1-1 uk-grid">
                                        ${_ans}
                                    </div>
                                </div>`)
            // console.log(questions)
            MathJax.typeset()
        })

        $('.add-option-button').on('click', function() {
            $('.options').append(`
                <div class="answer" uk-grid>
                   <div class="uk-width-1-1">
                        <input type="text" name="answer-${option}" placeholder="option 1" class="uk-input uk-width-auto" style="border:0px; border-bottom: 1px solid #e2e2e2!important">
                   </div>
                    <div class="uk-width-auto">
                        <div>
                            <label><input class="uk-radio" type="radio" name="correct-${option}" value="true"> Correct</label>
                            <label><input class="uk-radio" type="radio" name="correct-${option}" value="false"> Wrong</label>
                        </div>
                    </div>
                    <div class="uk-width-expand">
                        <input type="text" class="uk-input uk-width-1-1" name="reason-${option}" placeholder="Reason" style="border:0px; border-bottom: 1px solid #e2e2e2!important">
                    </div>
                </div>`)
            option++
        })

        function resetQuestions() {
            questions = []
            $('.questions-list').find('.new-question-list-item').remove()
        }

        $('.test-modal-close').on('click', function(e) {
            e.preventDefault()
            resetQuestions()
        })

        $('.upload-questions').on('click', function() {
            questions.forEach(function (q) {
                // body...
                firebase.firestore().collection(col).doc(questionSubject).collection('topics').doc(questionTopic).collection('subtopics').doc(questionSubtopic).collection('questions').doc().set(q)
            })
            alert('questions uploaded')
            resetQuestions()
        })

        $('.questions-list').on('click', '.remove-question', function() {
            $(this).parents('.question-list-item').remove()
        })

        $('body').on('click', '[href="#add-subtopic-modal"]', function(e) {
            subtopic_key = $(this).parents('li').attr('id')
        })
    </script>
    <script>
        firebase.auth().onAuthStateChanged(function(user) {
          if (user) {
            firebase.firestore().collection('teachers').doc(user.uid).get()
            .then(function (doc) {
                if (doc.exists) {
                    $('body').removeClass('uk-hidden')
                } else {
                    window.location.href = '/tutor/sign-in'
                }
            })
            // User is signed in.
            var displayName = user.displayName;
            var email = user.email;
            var emailVerified = user.emailVerified;
            var photoURL = user.photoURL;
            var isAnonymous = user.isAnonymous;
            var uid = user.uid;
            var providerData = user.providerData;
            // console.log(user)
            // ...
          } else {
            // User is signed out.
            // ...
            window.location.href = '/tutor/sign-in'
          }
        });
    </script>

</html>